Bug 1361320 - Review Request: cAudio - 3D Audio Engine Based on Openal
Summary: Review Request: cAudio - 3D Audio Engine Based on Openal
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio Trande
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-GAMESIG
TreeView+ depends on / blocked
 
Reported: 2016-07-28 19:49 UTC by Ben Rosser
Modified: 2016-09-03 02:18 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-08-27 10:24:04 UTC
anto.trande: fedora-review+


Attachments (Terms of Use)

Description Ben Rosser 2016-07-28 19:49:07 UTC
Spec URL: https://tc01.fedorapeople.org/cAudio/cAudio.spec
SRPM URL: https://tc01.fedorapeople.org/cAudio/cAudio-2.2.0-2.fc24.src.rpm
Description: cAudio is a 3D audio engine based on OpenAL.
Fedora Account System Username: tc01

rpmlint output:

$ rpmlint ../RPMS/x86_64/cAudio-*-2.2.0-2.fc24.x86_64.rpm  ../RPMS/noarch/cAudio-doc-2.2.0-2.fc24.noarch.rpm ../SRPMS/cAudio-2.2.0-2.fc24.src.rpm 
cAudio-devel.x86_64: W: only-non-binary-in-usr-lib
cAudio-devel.x86_64: W: no-documentation
cAudio-doc.x86_64: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
cAudio-examples.x86_64: W: no-documentation
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial6_CustomEventHandler
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial4_AudioCapture
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_3DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_2DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial3_MemoryPlayback
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial7_CustomLogReceiver
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial5_AudioEffects
cAudio-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
6 packages and 0 specfiles checked; 0 errors, 12 warnings.

Note that I'm not sure if the -examples package is the right place for the examples, or if they should be put somewhere other than /usr/bin or given better names (cAudio_Tutorial)?

Also... note that upstream is *not* versioning their .so files. I filed a ticket a week ago asking them to do so, along with a patch for unbundling ogg and vorbis, but have not heard back on either. Thus I've started versioning them downstream in accordance with the packaging guidelines (the versions are currently 0.1).

Comment 1 Ben Rosser 2016-08-15 02:24:44 UTC
Upstream has merged a patch (not from another Fedora contributor, bkeys) for .so name versioning, and is going to release 2.3.0 with said patch in the near future. Thus this probably shouldn't be reviewed just yet, until that happens.

Comment 2 Ben Rosser 2016-08-15 02:27:28 UTC
Whoops, wording. *not from me, but from another Fedora contributor, bkeys.

Comment 3 Antonio Trande 2016-08-15 10:13:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Fix "%{name}%{_isa} = %{version}-%{release}" of -devel package.

- -doc is a noarch package; its dependencies must not be arched:
%package doc
Summary:       API documentation for cAudio
Requires:      %{name}%{_isa} = %{version}-%{release}  <---
BuildArch:     noarch

- These lines are unnucessary

# Install the documentation
mkdir -p %{buildroot}%{_docdir}/%{name}/
cp -a ../README.md %{buildroot}%{_docdir}/%{name}/
cp -ra ../Documentation/html %{buildroot}%{_docdir}/%{name}/

You can just use

%doc Documentation/html README.md

- There are a lot of errors for missing /dot command:

sh: dot: command not found
error: Problems running dot: exit code=127, command='dot', arguments='"/builddir/build/BUILD/cAudio-2.2.0/Documentation/html/d1/dfd/namespacec_audio_a8f5f0f443431e8372a8e32ed39e80071_icgraph.dot" -Tpng -o "/builddir/build/BUILD/cAudio-2.2.0/Documentation/html/d1/dfd/namespacec_audio_a8f5f0f443431e8372a8e32ed39e80071_icgraph.png"'

Does this package need 'graphviz' package for compiling the html documentation?

- Fix all unused-direct-shlib-dependency warnings (see rpmlint output.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated", "zlib/libpng". 186 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1361320-cAudio/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/doc/cAudio
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/cAudio
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cAudio-
     debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cAudio-2.2.0-2.fc26.x86_64.rpm
          cAudio-examples-2.2.0-2.fc26.x86_64.rpm
          cAudio-devel-2.2.0-2.fc26.x86_64.rpm
          cAudio-doc-2.2.0-2.fc26.noarch.rpm
          cAudio-debuginfo-2.2.0-2.fc26.x86_64.rpm
          cAudio-2.2.0-2.fc26.src.rpm
cAudio-examples.x86_64: W: no-documentation
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial3_MemoryPlayback
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial5_AudioEffects
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial7_CustomLogReceiver
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial6_CustomEventHandler
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_2DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial4_AudioCapture
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_3DSound
cAudio-devel.x86_64: W: only-non-binary-in-usr-lib
cAudio-devel.x86_64: W: no-documentation
cAudio-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
6 packages and 0 specfiles checked; 0 errors, 11 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cAudio-debuginfo-2.2.0-2.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
cAudio-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libcAudio.so.0.1
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libogg.so.0
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libvorbisfile.so.3
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libvorbis.so.0
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libopenal.so.1
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libm.so.6
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libEAXLegacyPreset.so.0.1 /lib64/libgcc_s.so.1
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcAudio.so.0.1 /lib64/libogg.so.0
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcAudio.so.0.1 /lib64/libvorbis.so.0
cAudio.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libcAudio.so.0.1 /lib64/libm.so.6
cAudio-examples.x86_64: W: no-documentation
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial3_MemoryPlayback
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial5_AudioEffects
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_2DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial4_AudioCapture
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial7_CustomLogReceiver
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_3DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial6_CustomEventHandler
cAudio-devel.x86_64: W: only-non-binary-in-usr-lib
cAudio-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 21 warnings.



Requires
--------
cAudio-doc (rpmlib, GLIBC filtered):
    cAudio(x86-64)

cAudio (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libcAudio.so.0.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libopenal.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libvorbis.so.0()(64bit)
    libvorbisfile.so.3()(64bit)
    rtld(GNU_HASH)

cAudio-examples (rpmlib, GLIBC filtered):
    cAudio(x86-64)
    libc.so.6()(64bit)
    libcAudio.so.0.1()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libogg.so.0()(64bit)
    libopenal.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libvorbis.so.0()(64bit)
    libvorbisfile.so.3()(64bit)
    rtld(GNU_HASH)

cAudio-devel (rpmlib, GLIBC filtered):
    cAudio(x86-64)
    libEAXLegacyPreset.so.0.1()(64bit)
    libcAudio.so.0.1()(64bit)

cAudio-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
cAudio-doc:
    cAudio-doc

cAudio:
    cAudio
    cAudio(x86-64)
    libEAXLegacyPreset.so.0.1()(64bit)
    libcAudio.so.0.1()(64bit)

cAudio-examples:
    cAudio-examples
    cAudio-examples(x86-64)

cAudio-devel:
    cAudio-devel
    cAudio-devel(x86-64)

cAudio-debuginfo:
    cAudio-debuginfo
    cAudio-debuginfo(x86-64)



Source checksums
----------------
https://raw.githubusercontent.com/liballeg/allegro5/master/cmake/FindVorbis.cmake :
  CHECKSUM(SHA256) this package     : 23da0b9d120b27a0cc9b6b79f6c6ba1b29a9063dce09b4b3f8e15becb87c522a
  CHECKSUM(SHA256) upstream package : 23da0b9d120b27a0cc9b6b79f6c6ba1b29a9063dce09b4b3f8e15becb87c522a
https://github.com/R4stl1n/cAudio/archive/v2.2.0.tar.gz :
  CHECKSUM(SHA256) this package     : 3db823ba81365074c6c8214b17f89d1523bb7e1cd6d64408b882d1f824c5b17d
  CHECKSUM(SHA256) upstream package : 3db823ba81365074c6c8214b17f89d1523bb7e1cd6d64408b882d1f824c5b17d
https://raw.githubusercontent.com/liballeg/allegro5/master/cmake/FindOgg.cmake :
  CHECKSUM(SHA256) this package     : 035089f3f260b76c5244fdf0e0ca7b7b4febe9b85aa21b79270e597729460c06
  CHECKSUM(SHA256) upstream package : 035089f3f260b76c5244fdf0e0ca7b7b4febe9b85aa21b79270e597729460c06


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1361320
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Ben Rosser 2016-08-15 23:48:53 UTC
Thanks for taking this. :) Fixed all the issues you pointed out, and also updated to 2.3.1, which was released last night.

Spec URL: https://tc01.fedorapeople.org/cAudio/cAudio.spec
SRPM URL: https://tc01.fedorapeople.org/cAudio/cAudio-2.3.1-1.fc24.src.rpm

- Update to latest upstream release.
- Upstream now versioning their own .so (but not plugins yet).
- As a result, temporarily removed libEAXLegacyPreset plugin.
- Patch for ogg/vorbis unbundling was accepted upstream.
- Add -Wl,--as-needed flags to fix unused-direct-shlib-dependency errors.
- Added graphviz as a build dependency.
- Streamlined installation of documentation files.
- Removed dependency on main package from -doc subpackage.

Just a note about libEAXLegacyPreset: this doesn't look to be a terribly important plugin, so I think it's okay if we don't ship it for now.

I sent upstream a patch to resolve this too: https://github.com/R4stl1n/cAudio/pull/45.

Comment 5 Antonio Trande 2016-08-16 09:49:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- -doc sub-package does not provide an own license file.

- Still a bad macro:

%package devel

Summary:       Development headers for cAudio
Requires:      %{name}%{_isa} = %{version}-%{release}   <---

%description devel

Development files and library headers for cAudio.


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later) (with incorrect FSF address)", "Unknown or
     generated", "zlib/libpng". 188 files have unknown license. Detailed
     output of licensecheck in
     /home/sagitter/1361320-cAudio/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in cAudio-
     doc , cAudio-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: cAudio-2.3.1-1.fc26.x86_64.rpm
          cAudio-examples-2.3.1-1.fc26.x86_64.rpm
          cAudio-devel-2.3.1-1.fc26.x86_64.rpm
          cAudio-doc-2.3.1-1.fc26.noarch.rpm
          cAudio-debuginfo-2.3.1-1.fc26.x86_64.rpm
          cAudio-2.3.1-1.fc26.src.rpm
cAudio-examples.x86_64: W: no-documentation
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial6_CustomEventHandler
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial4_AudioCapture
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_2DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial5_AudioEffects
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial3_MemoryPlayback
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial7_CustomLogReceiver
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_3DSound
cAudio-devel.x86_64: W: only-non-binary-in-usr-lib
cAudio-devel.x86_64: W: no-documentation
cAudio-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
cAudio.src:102: W: macro-in-comment %{_libdir}
cAudio.src:103: W: macro-in-comment %{_libdir}
cAudio.src:113: W: macro-in-comment %{_libdir}
6 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (debuginfo)
-------------------
Checking: cAudio-debuginfo-2.3.1-1.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
cAudio-doc.noarch: W: spelling-error %description -l en_US doxygen -> oxygen, d oxygen
cAudio-examples.x86_64: W: no-documentation
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_2DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial7_CustomLogReceiver
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial4_AudioCapture
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial1_3DSound
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial6_CustomEventHandler
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial3_MemoryPlayback
cAudio-examples.x86_64: W: no-manual-page-for-binary Tutorial5_AudioEffects
cAudio-devel.x86_64: W: only-non-binary-in-usr-lib
cAudio-devel.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 11 warnings.



Requires
--------
cAudio-doc (rpmlib, GLIBC filtered):

cAudio (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libopenal.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    libvorbisfile.so.3()(64bit)
    rtld(GNU_HASH)

cAudio-examples (rpmlib, GLIBC filtered):
    cAudio(x86-64)
    libc.so.6()(64bit)
    libcAudio.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

cAudio-devel (rpmlib, GLIBC filtered):
    cAudio(x86-64)
    libcAudio.so.2()(64bit)

cAudio-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
cAudio-doc:
    cAudio-doc

cAudio:
    cAudio
    cAudio(x86-64)
    libcAudio.so.2()(64bit)

cAudio-examples:
    cAudio-examples
    cAudio-examples(x86-64)

cAudio-devel:
    cAudio-devel
    cAudio-devel(x86-64)

cAudio-debuginfo:
    cAudio-debuginfo
    cAudio-debuginfo(x86-64)



Source checksums
----------------
https://github.com/R4stl1n/cAudio/archive/2.3.1/cAudio-2.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 1c9a63c85fcbbc76ddbc012f1555f9097e8fd7e3bb79f7b30284d1f5c3b2b3b5
  CHECKSUM(SHA256) upstream package : 1c9a63c85fcbbc76ddbc012f1555f9097e8fd7e3bb79f7b30284d1f5c3b2b3b5


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1361320
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Ben Rosser 2016-08-17 02:59:05 UTC
Whoops, fixed.

- Fix bad macro (_isa should be ?_isa).
- Add license.txt to doc subpackage, since it doesn't require the main package.

Spec URL: https://tc01.fedorapeople.org/cAudio/cAudio.spec
SRPM URL: https://tc01.fedorapeople.org/cAudio/cAudio-2.3.1-2.fc24.src.rpm

Comment 7 Antonio Trande 2016-08-17 09:38:11 UTC
Package approved.

Comment 8 Ben Rosser 2016-08-17 15:14:43 UTC
Awesome, thanks for the review!

Comment 9 Gwyn Ciesla 2016-08-17 15:32:55 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/cAudio

Comment 10 Fedora Update System 2016-08-17 17:54:10 UTC
cAudio-2.3.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a339c1b843

Comment 11 Fedora Update System 2016-08-17 17:54:55 UTC
cAudio-2.3.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b30deadfd9

Comment 12 Fedora Update System 2016-08-17 17:55:19 UTC
cAudio-2.3.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d60b4694e

Comment 13 Fedora Update System 2016-08-17 17:55:57 UTC
cAudio-2.3.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-540fa91525

Comment 14 Fedora Update System 2016-08-17 19:51:46 UTC
cAudio-2.3.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a339c1b843

Comment 15 Fedora Update System 2016-08-18 01:49:59 UTC
cAudio-2.3.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9d60b4694e

Comment 16 Fedora Update System 2016-08-18 01:50:58 UTC
cAudio-2.3.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b30deadfd9

Comment 17 Fedora Update System 2016-08-18 04:18:17 UTC
cAudio-2.3.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-540fa91525

Comment 18 Fedora Update System 2016-08-27 10:24:02 UTC
cAudio-2.3.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-08-27 15:18:45 UTC
cAudio-2.3.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-08-27 20:51:15 UTC
cAudio-2.3.1-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-09-03 02:18:09 UTC
cAudio-2.3.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.